#ifndef OSCILLATORS_H_
#define OSCILLATORS_H_


/**** WAVEFORM FUNCTIONS, USED BY OSCILLATORS ****/
float sine(float A, float omega, float t);
float square(float A, float omega, float t);
float triangle(float A, float omega, float t);
float saw(float A, float omega, float t);



/**** OSCILLATORS ****/

/* Mono oscillator */
void osc_mono(float (*osc)(float A, float omega, float t), /* Waveform function */
	      float freq, 		/* Frequency of fundamental tone */
	      float time,		/* Duration of note */
	      float volume);		/* Linear volume, [0;1] */

/* Mono oscillator with 16 upper harmonics */
void osc_mono_16h(float (*osc)(float A, float omega, float t), /* Waveform function */
    		  float freq, 		/* Frequency of fundamental tone */
		  float time,		/* Duration of note */
		  float volume);	/* Linear volume, [0;1] */

#endif
